# Class FBObject

java.lang.Object
com.codename1.facebook.FBObject

Direct Known Subclasses:
  `Album, Page, Photo, Post, User`

public class FBObject extends Object
This is a base class for all FaceBook Objects

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FBObject()`
  Empty Contructor
  `FBObject(Hashtable props)`
  This contructor initialize it's attributes from the given Hashtable

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `copy(Hashtable props)`
  copies the relevant values from the given hashtable
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `String`
  `getId()`
  Simple getter
  `String`
  `getName()`
  Simple getter
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `void`
  `setId(String id)`
  Simple setter

  ### Methods inherited from class Object

  `clone, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FBObject

    public FBObject()
    Empty Contructor

  - ### FBObject

    public FBObject(Hashtable props)

    This contructor initialize it's attributes from the given Hashtable

    ###### Parameters

    - `props`: an Hashtable which contains the Object data

- ## Method Details

  - ### getId

    public String getId()

    Simple getter

    ###### Returns

    the facebook object id

  - ### setId

    public void setId(String id)

    Simple setter

    ###### Parameters

    - `id`: the Object Id, each facebook element had an id

  - ### getName

    public String getName()

    Simple getter

    ###### Returns

    the FB Object name

  - ### copy

    public void copy(Hashtable props)

    copies the relevant values from the given hashtable

    ###### Parameters

    - `props`: an hashtable to copy from

  - ### equals

    public boolean equals(Object obj)
    Indicates whether some other object is "equal to" this one. The equals method implements an equivalence relation: It is reflexive: for any reference value x, x.equals(x) should return true. It is symmetric: for any reference values x and y, x.equals(y) should return true if and only if y.equals(x) returns true. It is transitive: for any reference values x, y, and z, if x.equals(y) returns true and y.equals(z) returns true, then x.equals(z) should return true. It is consistent: for any reference values x and y, multiple invocations of x.equals(y) consistently return true or consistently return false, provided no information used in equals comparisons on the object is modified. For any non-null reference value x, x.equals(null) should return false. The equals method for class Object implements the most discriminating possible equivalence relation on objects; that is, for any reference values x and y, this method returns true if and only if x and y refer to the same object (x==y has the value true).
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Returns a hash code value for the object. This method is supported for the benefit of hashtables such as those provided by java.util.Hashtable. The general contract of hashCode is: Whenever it is invoked on the same object more than once during an execution of a Java application, the hashCode method must consistently return the same integer, provided no information used in equals comparisons on the object is modified. This integer need not remain consistent from one execution of an application to another execution of the same application. If two objects are equal according to the equals(Object) method, then calling the hashCode method on each of the two objects must produce the same integer result. It is not required that if two objects are unequal according to the equals(java.lang.Object) method, then calling the hashCode method on each of the two objects must produce distinct integer results. However, the programmer should be aware that producing distinct integer results for unequal objects may improve the performance of hashtables. As much as is reasonably practical, the hashCode method defined by class Object does return distinct integers for distinct objects. (This is typically implemented by converting the internal address of the object into an integer, but this implementation technique is not required by the JavaTM programming language.)
    Overrides:
      `hashCode` in class `Object`